summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/nagios-plugins/nagios-plugins.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/nagios-plugins/nagios-plugins.SlackBuild b/system/nagios-plugins/nagios-plugins.SlackBuild
index 011801b8eb..1facb4f6f8 100644
--- a/system/nagios-plugins/nagios-plugins.SlackBuild
+++ b/system/nagios-plugins/nagios-plugins.SlackBuild
@@ -74,12 +74,8 @@ make install DESTDIR=$PKG
# otherwise most people will never realise they exist
cp -a contrib $PKG/usr/libexec/nagios/.
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
chown -R root.nagios $PKG/usr/libexec/nagios
chmod u+s $PKG/usr/libexec/nagios/check_{icmp,dhcp};